/*メインイメージ--------------------*/
/* 背景スライドを固定で敷く */
#mainImg {
  position: fixed;
  z-index: -1;
  overflow: hidden;
  pointer-events: none;
    height: 520px;
    width: 100%;
    inset: 0 auto auto 0;
    right: 0;
    margin-bottom: 520px;
}

/* 各スライド */
.mainSlide {
  position: absolute;
  inset: 0;
  opacity: 0;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;

  animation: mainFade 8s infinite;
  will-change: opacity;
}

/* 画像指定 */
.mainSlide01 { background-image: url("../images/bg_main01.jpg"); animation-delay: 0s; }
.mainSlide02 { background-image: url("../images/bg_main02.jpg"); animation-delay: -4s; }

/* フェードアニメーション */
@keyframes mainFade {
  0%   { opacity: 1; }
  35%  { opacity: 1; }   /* 表示キープ */
  65%  { opacity: 0; }   /* ゆっくりフェードアウト */
  85%  { opacity: 0; }   /* 非表示キープ */
  100% { opacity: 1; }   /* ゆっくりフェードイン */
}
/* ロゴを中央に固定表示 */
.mainLogo {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 2; /* スライドより上 */
  width: 380px;
  height: 200px;
  display: flex;
  align-items: center;
  justify-content: center;
  pointer-events: none; /* 背景扱いならクリック無効 */
}

.mainLogo img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}
#mainContents{
background: #fff;
margin-top: 520px;
}
/* SP */
@media (max-width: 767px) {
  #mainImg {
  }

  .mainSlide {
  }


#mainContents{
margin-top: 580px;
}
}
#mainImg > video {
  width: 100%;
  height: 100%;
  object-fit: cover; /* ← これで「敷き詰め＋はみ出しカット」 */
  object-position: 50% 50%; /* トリミングの中心（左右が切れる時に中央寄せ） */
  display: block;
}
#mainTxt {
  width: 80%;
  position: absolute;
  left: 50%;
  top: calc(50%);
  transform: translate(-50%, -50%);
  text-align: center;
}
#mainTxt h2{
text-shadow: 0px 0px 5px rgba(0, 0, 0, 0.9), 0px 0px 10px rgba(0, 0, 0, 0.8);
}
#mainTxt img {}
#mainLogo {
  max-width: 400px;
  margin: 0 auto;
}
@media screen and (max-width: 767px) {
  #mainTxt {
    width: 80%;
    top: calc(50% + 40px);
  }
  #mainImg {
    padding-top: 80px;
  }
  #mainImg {
    aspect-ratio: 2 / 3;
  }
}

@media screen and (max-width: 420px) {

#mainTxt h2{
font-size: 20px
}
}
